# IBAN Generation API
source: https://developer.mastercard.com/cross-border-services/documentation/api-ref/value-added-services/account-validation-apis/iban-generation-api/index.md

Alert: If you are a Customer contracted with MTS EU or MTS UK, refer to the corresponding EU and UK specification inside the swagger file to ensure compliance with the relevant jurisdiction based Regulatory Technical Standards (either EU or UK) derived from the Revised Payment Services Directive (PSD2).

## Environment Domains {#environment-domains}

* Sandbox/MTF
* Sandbox-EU
* Sandbox-UK
* MTF-EU
* MTF-UK
* Production
* Production-EU
* Production-UK

```Sandbox/MTF
https://sandbox.api.mastercard.com/send/partners/{partner_id}/crossborder/accounts/generate-ibans
```

```Sandbox-EU
https://sandbox.api.xbs.mastercard.eu/send/partners/NewPartnerQC/crossborder/accounts/generate-ibans
```

```Sandbox-UK
https://sandbox.api.xbs.mastercard.uk/send/partners/NewPartnerQC/crossborder/accounts/generate-ibans
```

```MTF-EU
https://mtf.api.xbs.mastercard.eu/send/partners/{partner_id}/crossborder/accounts/generate-ibans
```

```MTF-UK
https://mtf.api.xbs.mastercard.uk/send/partners/{partner_id}/crossborder/accounts/generate-ibans
```

```Production
https://api.mastercard.com/send/partners/{partner_id}/crossborder/accounts/generate-ibans
```

```Production-EU
https://api.xbs.mastercard.eu/send/partners/{partner_id}/crossborder/accounts/generate-ibans
```

```Production-UK
https://api.xbs.mastercard.uk/send/partners/{partner_id}/crossborder/accounts/generate-ibans
```

## API Specification {#api-specification}

[**Open Specification**](https://static.developer.mastercard.com/content/cross-border-services/swagger/cross_border-swagger.yaml)

### IBAN Generation API {#iban-generation-api}

<br />

The IBAN Generation API is a feature within Account Validation services which allows customers to generate IBAN account values using several bank identifying data elements.

Customers deciding to code to this API, would receive successful or rejection responses based on data elements used to create requested IBAN value. Some elements which are supported within this API are country, branch code and SWIFT BIC values.

API Reference: `GET /send/partners/{partner_id}/crossborder/accounts/generate-ibans`

## API Convention {#api-convention}

Take a look at the [API Conventions](https://developer.mastercard.com/cross-border-services/documentation/api-basics/index.md#api-conventions) for general guidelines.

## Payload Encryption {#payload-encryption}

All payload request sent to and from Cross-Border Services are encrypted.   

For more detailed information on payload **Encryption/ Decryption** , please see [here](https://developer.mastercard.com/cross-border-services/documentation/api-basics/index.md#transport-encryption)

## Next step {#next-step}

Proceed to [IBAN Generation API: Sandbox Testing](https://developer.mastercard.com/cross-border-services/documentation/testing/account-validation-apis/bank-iban-generation-api/index.md) to test the IBAN Generation API in the Sandbox environment.
